Bug 441898 - Errors in install.log should be highlighted at firstboot.
Errors in install.log should be highlighted at firstboot.
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-10 13:48 EDT by archimerged Ark submedes
Modified: 2008-11-11 18:30 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-07 13:16:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description archimerged Ark submedes 2008-04-10 13:48:19 EDT
Description of problem:

An error, which was reported in install.log, was very difficult
to diagnose because install.log was not examined.

Version-Release number of selected component (if applicable):

How reproducible:

Anytime there are errors in the install.  Especially for installation
of rawhide, but there might be errors which depend on hardware
configuration, or during upgrade.  (Does firstboot run after upgrade?)

Steps to Reproduce:
1. Install that Rawhide.  Fix the syntax error in /etc/init.d/firstboot on
CTL-ALT-F2 before reboot.
2. Reboot and go through firstboot
Actual results:
The warnings and errors in install.log are not pointed out.

Expected results:
An extra screen should include a viewer of install.log with the error(s)
highlighted.  An option to send install.log to the appropriate place
(like the configuration report) should be offered.

In this case, the critical error did not say "error", it was 

Installing selinux-policy-targeted-3.3.1-31.fc9.noarch
/usr/sbin/semanage: You must specify a prefix
/usr/sbin/semanage: You must specify a prefix
Installing system-config-firewall-1.2.7-1.fc9.noarch

Additional info:
Comment 1 Bug Zapper 2008-05-14 05:16:03 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 2 Chris Lumens 2008-11-07 13:16:55 EST
There's simply no way we can tell what an error looks like in this log file, though.  I suppose we could look for any line that starts with something other than "Installing..." but what about packages with bad spec files that just like to print stuff out when running scriptlets?  And then once you've displayed these error messages to the user in firstboot, what can they do about it?  They will just have to click next anyway, login, become root, and do something with them then.  I don't see there being much benefit to displaying these errors during firstboot when what we really should be doing is fixing the packaging errors to begin with.
Comment 3 archimerged Ark submedes 2008-11-11 18:30:55 EST
Ok, then email all lines not matching "^Installing|^FYI:" to root with subject line "possible installation errors in /root/install.log"  The user who reads root email will be notified, and others who never read root email will not.

However, I was suggesting the firstboot screen for rawhide -- users who are installing rawhide would like to hear about these errors (and knowing about them would save valuable volunteer testing time), and pointing them out noisily would lead to their correction (or addition of "FYI:") long before the next alpha release.  Then you could leave the screen in for F11 since it wouldn't be triggered.

So how about re-opening this as a bug against F11's rawhide?

Note You need to log in before you can comment on or make changes to this bug.